# $Revision: 1.33.2.3 $, $Date: 2004/02/23 03:49:22 $
#
# _with_static_ltdl - build using static ltdl library (just asking for trouble)
#
Summary:	Powerful image loading and rendering library
Summary(pl):	Potna biblioteka wczytujca i renderujca obrazki
Name:		imlib2
Version:	1.0.6
Release:	4
License:	LGPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/enlightenment/%{name}-%{version}.tar.gz
# Source0-md5:	e3475376bf27347c47c7a9ffb49bdb96
Patch0:		%{name}-path.patch
Patch1:		%{name}-as.patch
Patch2:		%{name}-ltdl.patch
Patch3:		%{name}-AC_LIBOBJ.patch
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype1-devel
BuildRequires:	libjpeg-devel >= 6b-18
%{!?_with_static_ltdl:BuildRequires:	libltdl-devel}
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	libungif-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libimlib2_1

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11

%description
Imlib2 is an advanced replacement library for libraries like libXpm
that provides many more features with much greater flexibility and
speed than standard libraries, including font rasterization, rotation,
RGBA space rendering and blending, dynamic binary filters, scripting,
and more.

%description -l pl
Imlib2 jest zaawansowan bibliotek, zamiennikiem takich bibliotek jak
libXpm. Imlib2 dostarcza o wiele wicej moliwoci przy duo wikszej
szybkoci ni standardowe bilioteki (wczajc w to rasteryzacj
fontw, obracanie, renderowanie przestrzeni RGBA, mieszanie,
dynamiczne filtry (w postaci binarnej), obsuga jzyka skryptowego i
wiele wicej.

%package devel
Summary:	Imlib header files and development documentation
Summary(fr):	Fichiers entte pour Imlib
Summary(pl):	Pliki nagwkowe oraz dokumentacja do imlib
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
# Every program using imlib2 should get a list of libraries to link with by
# executing `imlib2-config --libs`. All libraries listed below are returned by
# this call, so they are required by every program compiled with imlib.
Requires:	XFree86-devel
Requires:	freetype1-devel
%{!?_with_static_ltdl:Requires:	libltdl-devel}
Obsoletes:	libimlib2_1-devel

%description devel
Header files and development documentation for Imlib.

%description devel -l fr
Fichiers entte pour Imlib.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja do biblioteki Imlib.

%package static
Summary:	Imlib static libraries
Summary(pl):	Biblioteki statyczne imlib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Imlib static libraries.

%description devel -l pl
Biblioteki statyczne imlib.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%{!?_with_static_ltdl:%patch2 -p1}
%patch3 -p1

%build
rm -f missing
# ltdl option copies libltdl sources
%{__libtoolize} %{?_with_static_ltdl:--ltdl}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%ifarch i586 i686 athlon
	--enable-mmx
%else
	--disable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# shutup check-files
rm -f  $RPM_BUILD_ROOT/%{_libdir}/%{name}/loaders/*/*.a

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/loaders
%dir %{_libdir}/%{name}/loaders/filter
%dir %{_libdir}/%{name}/loaders/image
%attr(755,root,root) %{_libdir}/%{name}/loaders/*/*.so
%{_libdir}/%{name}/loaders/*/*.la

%files devel
%defattr(644,root,root,755)
%doc doc/{*gif,*.html}
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: imlib2.spec,v $
Revision 1.33.2.3  2004/02/23 03:49:22  ankry
- md5

Revision 1.33.2.2  2004/02/23 03:48:13  ankry
- restored Ra location, rel. 4

Revision 1.33.2.1  2003/07/11 12:01:26  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.33  2003/03/30 10:46:30  kloczek
- added libltdl-devel to Requires list for devel subpackage.

Revision 1.32  2003/02/11 10:58:34  qboosh
- working Source0 URL

Revision 1.31  2003/01/27 22:27:24  radek
- updated Source0 URL

Revision 1.30  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.29  2002/11/25 14:16:45  ankry
- massive attack: no need for 755 for *.la

Revision 1.28  2002/11/14 08:59:02  kloczek
- release 3.

Revision 1.27  2002/11/06 23:50:41  qboosh
- pl summary, better bcond description ;)
- removed BR: edb-devel (bogus, not used for anything)

Revision 1.26  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/08/12 18:50:10  kloczek
- release 2.

Revision 1.24  2002/08/12 09:09:17  wiget
fix AC_LIBOBJ issue

Revision 1.23  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/05 11:25:32  ankry
- ftp Source URL instead of http (prdownloads.sourceforge.net does not seem
  to serve this file)

Revision 1.20  2002/05/05 06:47:02  filon
- updated to bugfix relese 1.0.6

Revision 1.19  2002/04/25 16:36:22  arturs
fixed a small typo

Revision 1.18  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/15 08:17:34  kloczek
- adapterized.

Revision 1.14  2002/01/26 13:13:06  filon
- updated for athlon
-release 2

Revision 1.13  2002/01/22 07:57:16  filon
- updated to 1.0.5, STB

Revision 1.12  2002/01/21 11:06:50  filon
- swithed back to dynamic libltdl

Revision 1.11  2002/01/20 23:34:31  filon
- previous version works, but needs dynamic libltdl
- added --ltdl option for libtoolize, it copies ltld sources and fixes build without patching
- _with_dynamic_ltdl option compiles and links with installed liltldl.so
- release 5

Revision 1.10  2002/01/20 15:22:22  kloczek
- libimlib2_1{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.9  2002/01/20 09:35:10  filon
- finaly fixex asm patch (libtool support for asm source is awful)
- also ltdld patch
- builds, and works (tested with feh), release 4

Revision 1.8  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/06 22:12:24  filon
- added passing AS env. var. for buildsystem
- added ASFLAGS for make
- modified ltdl patch for completly remove relaying on included libltdl
- release 3, builds

Revision 1.6  2001/12/03 22:34:44  filon
- added 'as' patch for autoconf assembler problems
- almost builds

Revision 1.5  2001/11/10 19:03:24  kloczek
- updated to 1.0.4.

Revision 1.4  2001/09/06 17:10:29  kloczek
- cosmetics.

Revision 1.3  2001/08/24 01:29:05  kloczek
- spec adapterized.

Revision 1.2  2001/08/23 13:25:40  trojan
- s/%%{prefix}/%%{_prefix}/
- added patch (do not use libltdl directory)
- release 2; STB

Revision 1.1  2001/05/01 08:32:02  misiek
initial pld release
